<?xml version="1.0"?>
<configuration>
 
  <system.web>
    <compilation debug="true"/>
  </system.web>
  <!-- Bei der Bereitstellung des Dienstbibliothekprojekts muss der Inhalt der Konfigurationsdatei der app.config-Datei 
  des Hosts hinzugefügt werden. System.Configuration unterstützt keine Konfigurationsdateien für Bibliotheken. -->
  <system.serviceModel>
    <services>
      <service behaviorConfiguration="DefaultServiceBehavior" name="cadosys.Workflow.Admin.ObservationLayer.WorkflowObservationServiceImpl">
        <endpoint address="" binding="basicHttpBinding" bindingConfiguration="basicHttpBindingWorkflowObservation" 
                  contract="cadosys.Workflow.Admin.ObservationLayer.IWorkflowObservationService">
          <identity>
            <dns value="localhost"/>
          </identity>
        </endpoint>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8732/WorkflowObservationService/"/>
          </baseAddresses>
        </host>
      </service>
    </services>
    

    <!-- binding -->
    <bindings>
      <basicHttpBinding>
        <binding name="basicHttpBindingWorkflowObservation" maxBufferSize="2147483647" maxBufferPoolSize="2147483647"
          maxReceivedMessageSize="2147483647">
          <readerQuotas maxStringContentLength="2147483647" maxArrayLength="2147483647" />
        </binding>
      </basicHttpBinding>
    </bindings>

    <behaviors>
      <endpointBehaviors>
        <behavior name="DefaultWebHttpBehavior">
          <webHttp />
        </behavior>
      </endpointBehaviors>
      <serviceBehaviors>
        <behavior name="DefaultServiceBehavior">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="true" />
        </behavior>
        <behavior name="">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>

<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup></configuration>
